/// <reference types="node" />
import type { Server as HTTPServer } from 'http';
export interface TokenMetadata {
    client_id: string;
    scope: string;
}
export declare type MaybePromise<T> = T | PromiseLike<T>;
export interface OIDCMockProviderConfig {
    getTokenPayload(metadata: TokenMetadata): MaybePromise<{
        expires_in: number;
        payload: Record<string, unknown>;
    }>;
}
export declare class OIDCMockProvider {
    httpServer: HTTPServer;
    issuer: string;
    private kid;
    private keys;
    private state;
    private config;
    private constructor();
    private init;
    static create(config: OIDCMockProviderConfig): Promise<OIDCMockProvider>;
    close(): Promise<void>;
    private handleRequest;
    private issueToken;
    private storeForSingleRetrieval;
    private retrieveFromStorage;
}
//# sourceMappingURL=index.d.ts.map